<?php
/*-------------------------------------------------------+
| PHP-Fusion 7
| Filename: ap_articles_panel_panel.php
| ap_articles Version: 2.0
| Author: Alipapa (http://ap-fusion.ru/)
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."ap_articles/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."ap_articles/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."ap_articles/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."ap_articles/locale/English.php";
}

openside($locale['last_reviews']);
$result = dbquery(
	"SELECT ta.article_id, ta.article_subject, ta.article_url, tac.article_cat_id, tac.article_cat_url, tac.article_cat_access FROM ".DB_AP_ARTICLES." ta
	INNER JOIN ".DB_AP_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id
	".(iSUPERADMIN ? "" : "WHERE ".groupaccess('article_cat_access'))." AND article_draft='0' ORDER BY article_datestamp DESC LIMIT 0,7"
);
if (dbrows($result)) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['article_subject'], 23);
		echo THEME_BULLET;

// ===      =====================================

					if ($data['article_cat_url'] == ""){
						if ($data['article_url'] == ""){
							echo " <a href='".BASEDIR."reviews/ap_articles.php?article_id=".$data['article_id']."' title='".$data['article_subject']."'>".$itemsubject."</a><br />\n";
						}else{
							echo " <a href='".BASEDIR."reviews/".$data['article_id']."-".$data['article_url'].".htm' title='".$data['article_subject']."'>".$itemsubject."</a><br />\n";
						}
					}else{
						if ($data['article_url'] == ""){
							echo " <a href='".BASEDIR.$data['article_cat_url']."/ap_articles.php?article_id=".$data['article_id']."' title='".$data['article_subject']."'>".$itemsubject."</a><br />\n";
						}else{
							echo " <a href='".BASEDIR.$data['article_cat_url']."/".$data['article_id']."-".$data['article_url'].".htm' title='".$data['article_subject']."'>".$itemsubject."</a><br />\n";
						}
					}

// ===      =====================================


	}
} else {
	echo "<div style='text-align:center'>".$locale['global_031']."</div>\n";
}
closeside();
?>